.search-box {
  background: #fff;
  display: flex;
  align-items: center;
  overflow: hidden;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}
.search-inner {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px 40px;
}
/* Left: Area select */
.search-area {
  width: 306px;
  color: #ccc;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 17px;
  height: 100%;
  padding: 0 57px;
}
.search-label {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
  background-color: #fff;
  color: #111;
  width: 100%;
  padding: 31px 20px;
  border: 2px solid transparent;
  cursor: pointer;
  transition: 0.4s;
}
.search-label::before {
  content: "";
  display: inline-block;
  width: 29px;
  height: 29px;
  background-image: url("../images/common/ic-searchB.png");
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  margin-top: -1px;
}
.search-label:hover {
  border-color: #111;
}
/* Divider line */
.search-divider {
  width: 1px;
  height: 90px;
  background: #e5e5e5;
}

/* Middle input */
.search-input {
  flex: 1;
  padding: 0 57px;
  height: 100%;
}

.search-input input {
  width: 100%;
  border: none;
  outline: none;
  font-size: 17px;
  height: 100%;
}
.search-input input::placeholder {
  color: #ccc;
}
/* Button */
.search-btn {
  background: #009fe8;
  color: #fff;
  border: none;
  padding: 0 28px;
  height: 90px;
  width: 180px;
  font-size: 17px;
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  border-left: 1px solid currentColor;
}

.search-btn::before {
  background-image: url("../images/common/ic-searchW.png");
  width: 23px;
  height: 23px;
}
.search-btn:hover {
  background: #fff;
  color: #009fe8;
}
.search-btn:hover::before {
  background-image: url("../images/common/ic-searchB.png");
}
/* Remove default button highlight */
button:focus {
  outline: none;
}

/* Ẩn select thật */
.custom-select-wrapper select {
  display: none;
}

/* Khung select custom */
.custom-select-wrapper {
  width: 100%;
}
.custom-select {
  width: 100%;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding-right: 30px;
}
.custom-select-text {
  width: 100%;
  display: block;
  position: relative;
  z-index: 2;
}
/* Arrow icon */
.custom-select::after {
  width: 20px;
  height: 12px;
  background-image: url("../images/common/ic-arrD-G.png");
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}

/* Danh sách option */
.custom-select-list {
  width: 180px;
  margin-top: 5px;
  padding: 0;
  list-style: none;
  border: 1px solid #e5e5e5;
  border-radius: 4px;
  background: #fff;
  display: none;
  position: absolute;
  z-index: 10;
}

.custom-select-list li {
  padding: 12px 20px;
  cursor: pointer;
  font-size: 14px;
  color: #111;
}

.custom-select-list li:hover {
  background: #f2f2f2;
}

.c-radioInput {
  display: flex;
  max-width: 1260px;
  gap: 17px 20px;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
}
.c-radioInput__item {
  position: relative;
}
.c-radioInput__item input {
  visibility: hidden;
  position: absolute;
}
.c-radioInput__item input + label {
  padding-left: 30px;
}
.c-radioInput__item input + label:before {
  height: 10px;
  width: 10px;
  margin-right: 10px;
  content: " ";
  display: inline-block;
  vertical-align: baseline;
  border: 1px solid #ccc;
  position: absolute;
  top: 7px;
  left: 5px;
  display: none;
}

.c-radioInput__item input + label:after {
  height: 20px;
  width: 20px;
  margin-right: 0px;
  content: " ";
  display: inline-block;
  vertical-align: baseline;
  border: 1px solid #ccc;
  position: absolute;
  top: 2px;
  left: 0px;
  border-radius: 50%;
}

.c-radioInput__item input:checked + label:before {
  background: #000;
  display: block;
}

.c-radioInput__item input + label:before {
  border-radius: 50%;
}
.c-radioInput__item label {
  font-size: 16px;
}
.c-radioInput__item {
  display: flex;
  align-items: center;
  gap: 10px;
  width: 23%;
  min-width: 160px;
}
.c-radioInput.--many {
  gap: 10px 5.5%;
}
.c-radioInput.--many .c-radioInput__item {
  width: 20%;
}
.search-box-inner::before {
  background-color: #f0f9fc;
  width: 100%;
  max-width: 1680px;
  height: 72%;
  position: absolute;
  top: 43px;
  z-index: -1;
  left: 50%;
  transform: translateX(-50%);
}

.c-radioInput__item.--default {
  align-items: flex-start;
}
.c-radioInput__item.--default input {
  visibility: visible;
  position: relative;
  top: 6px;
}
.c-radioInput__item.--default label {
  padding-left: 0;
}
.c-radioInput__item.--default input + label::before,
.c-radioInput__item.--default input + label:after {
  content: unset;
}
@media (max-width: 1024px) {
  .search-box {
    flex-wrap: wrap;
  }
  .search-input,
  .search-area {
    height: auto;
  }
  .search-area {
    width: 40%;
  }
  .search-btn {
    width: 100%;
  }
}
@media (max-width: 768px) {
  .search-area {
    width: 100%;
    padding: 20px;
    font-size: 13px;
  }
  .custom-select::after {
    width: 15px;
    height: 7px;
  }
  .search-input {
    padding: 20px;
  }
  .search-input input {
    font-size: 13px;
  }
  .search-btn {
    width: 100%;
    height: 58px;
    font-size: 13px;
    gap: 7px;
  }
  .search-divider {
    width: 100%;
    height: 1px;
  }
  .search-btn::before {
    width: 15px;
    height: 15px;
    margin-top: 3px;
  }
  .c-radioInput {
    justify-content: flex-start;
    gap: 15px 20px !important;
  }

  .c-radioInput__item {
    width: max-content !important;
    min-width: max-content;
    gap: 6px;
  }
  .c-radioInput__item label {
    font-size: 13px;
  }
  .c-radioInput__item.--default input {
    top: 3px;
  }
}

/**Shop*/
.l-shop {
  display: flex;
  width: 100%;
  /* min-height: 100vh; */
}

.l-shop__main {
  width: 70%;
  height: 1000px;
}

.l-shop__sidebar {
  width: 400px;
  max-height: 1000px;
  overflow-y: auto;
  padding: 0 0 20px;
  background: #fff;
}
.c-store {
  border-bottom: 1px dashed #ccc;
  padding: 32px 40px;
  background-color: #fff;
}
.c-store ~ .c-store {
  margin-top: 30px;
}
.c-store__title {
  font-size: 18px;
  margin-bottom: 7px;
}

.c-store__text {
  margin: 3px 0;
}

.c-store__btn {
  margin-top: 12px;
  width: 100%;
  height: 48px;
  background: #009fe8;
  color: #fff;
  border: 1px solid currentColor;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  font-size: 14px;
  cursor: pointer;
  padding: 0 30px;
}

.c-store__arrow {
  width: 6px;
  height: 6px;
  border-right: 2px solid #fff;
  border-bottom: 2px solid #fff;
  transform: rotate(45deg);
}
.c-store__btn:hover {
  color: #009fe8;
  background: #fff;
}
.c-store__btn:hover .c-store__arrow {
  border-right-color: #009fe8;
  border-bottom-color: #009fe8;
}
.l-shop--container {
  width: 100%;
  max-width: 1680px;
}
.c-stores {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 48px 2%;
  max-width: 1320px;
}
.c-stores .c-store {
  width: 30.3%;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
  /* margin: auto; */
  margin-top: 0;
}

#gg-map {
  width: 100%;
  height: 1000px !important;
}
#gg-map img {
  max-width: none !important;
}

#gg-map * {
  box-sizing: content-box;
}
.l-single-shop #gg-map {
  height: 500px !important;
}
@media (max-width: 1024px) {
  .l-shop {
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
  }
  .l-shop__main {
    flex: auto;
    width: 100%;
  }
  .l-shop__sidebar {
  }
  .c-store {
    padding: 20px;
  }
  .c-store ~ .c-store {
    margin-top: 20px;
  }

  .c-store__title {
    font-size: 15px;
  }
  .c-store__txt {
    font-size: 13px;
  }
  #gg-map {
    height: 500px !important;
  }
  .l-single-shop #gg-map {
    height: 200px !important;
  }
}
@media (max-width: 768px) {
  .c-stores {
    gap: 30px 4%;
  }
  .c-stores .c-store {
    width: 48%;
    padding: 10px;
    margin-top: 0;
  }
  .c-store__btn {
    font-size: 11px;
    height: 40px;
    padding: 0 15px;
    line-height: 1.4;
  }
  .c-store__arrow {
    width: 6px;
    height: 6px;
    position: relative;
    top: -2px;
  }
  .c-store__title {
    font-size: 14px;
  }
  .c-store__text {
    font-size: 12px;
  }
  #gg-map {
    height: 200px !important;
  }
}
/**End Shop*/
/**=============================================================================*/
.p-shop__title {
  padding-bottom: 35px;
  margin-bottom: 40px;
  border-bottom: 1px solid #111;
}
.l-single-shop {
  width: 100%;

  /* theo hình nền */
}

.l-single-shop__content {
  margin-top: 30px;
  display: flex;
  gap: 40px;
}
.c-shop-btns {
  justify-content: space-between;
  align-items: flex-end;
}
.c-shop-btns .--right,
.c-shop-btns .--left {
  width: 48%;
  gap: 20px 4%;
}
.c-shop-btns .--right {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}
.c-shop-tags {
  padding: 0 40px 15px;
  overflow: auto;
}
.c-shop-tags__list {
  display: flex;
  gap: 20px 40px;
  justify-content: center;
  margin-bottom: 30px;
  flex-wrap: wrap;
}

.c-shop-tags__item {
  display: flex;
  align-items: center;
  gap: 8px;
  color: #cccccc;
  line-height: 1.4;
  font-size: 16px;
}

.c-shop-tags__item--active {
  color: #009fe8;
  opacity: 1;
}
.c-shop-tags__item--active path {
  fill: #009fe8;
}
.c-shop-tags__icon {
  /* placeholder */
  display: inline-block;
  margin-bottom: -4px;
}
.c-shop-badges {
  display: flex;
  gap: 15px 2%;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
}

.c-shop-badges__item {
  padding: 5px;
  border: 1px solid currentColor;
  border-radius: 3px;
  font-size: 11px;
  color: #ccc;
  width: 195px;
  text-align: center;
}

.c-shop-badges__item--active {
  border-color: #27a9ff;
  color: #27a9ff;
}
.c-shop-photo {
  width: 350px;
  height: auto;
  object-fit: cover;
}
.c-shop-photo img {
  display: block;
  width: 100%;
}
.c-shop-content {
  flex: 1;
  text-align: center;
}

.c-shop-info__row {
  display: flex;
  border-bottom: 1px dashed #ccc;
  padding: 12px 0;
  font-size: 15px;
  gap: 10px;
}
.c-shop-info .c-shop-info__row:last-child {
  border: 0;
}
.c-shop-info__row:nth-child(even) {
  background-color: #f7fcfd;
}
.c-shop-info__label {
  width: 120px;
  text-align: center;
}

.c-shop-info__value {
  flex: 1;
  text-align: left;
}
.c-shop-btns .c-btn {
  height: 64px;
  width: 100%;
}

.c-shop-btn {
  justify-content: center;
  gap: 12px;
  /* margin-top: 10px; */
  width: 440px;
  height: 64px;
  font-size: 16px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}
.c-shop-btn:hover {
  opacity: 0.5;
}

/* GREEN main button */
.c-shop-btn--primary {
  background: #2aba00;
  color: #fff;
  gap: 20px;
}
.c-shop-btn--primary::before {
  width: 67px;
  height: 53px;
  margin-top: 9px;
  background-image: url("../images/common/ic-use-phone.png");
}
.c-shop-btn--primary::after {
  width: 9px;
  height: 15px;
  margin-top: 2px;
  margin-left: 5px;
  background-image: url("../images/common/ic-arrR-W.png");
}
/* RED schedule */
.c-shop-btn--schedule {
  background: #fff;
  color: #000;
}
.c-shop-btn--schedule::before {
  width: 30px;
  height: 30px;
  background-image: url("../images/common/ic-pdf.png");
}
.c-shop-btn__icon {
  width: 26px;
  height: 26px;
  background: #666; /* placeholder */
  display: inline-block;
}

/* Arrow */
.c-shop-btn__arrow {
  width: 10px;
  height: 10px;
  border-right: 2px solid #fff;
  border-bottom: 2px solid #fff;
  transform: rotate(-45deg);
  margin-left: auto;
}

.c-shop-detail__head {
  padding-left: 36px;
  padding-bottom: 20px;
  border-bottom: 1px solid #707070;
  margin-bottom: 20px;
}
.c-shop-detail__head::before {
  background-image: url("../images/common/ic-arrR2-Black.png");
  width: 16px;
  height: 16px;
  position: absolute;
  top: 8px;
  left: 10px;
}
.c-shop-detail__txt {
  padding-left: 36px;
}

.c-shop-card {
  background-color: #fffaf0;
  padding: 42px 20px;
}
.c-shop-card img {
  display: block;
  margin: auto;
}

.c-shop-tags::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.c-shop-tags::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 10px;
}
.c-shop-tags::-webkit-scrollbar-thumb {
  background: #27a9ff;
  border-radius: 10px;
}

/* Hover thumb */
.c-shop-tags::-webkit-scrollbar-thumb:hover {
  background: #27a9ff;
}
@media (max-width: 1024px) {
  .l-single-shop__content {
    flex-wrap: wrap;
    justify-content: center;
  }
  .c-shop-photo {
    max-width: 100%;
  }
  .c-shop-info__row {
    font-size: 13px;
    gap: 5px;
  }
  .c-shop-info__label {
    width: 100px;
  }
  .c-shop-tags {
    padding: 0 0 15px;
  }
}
@media (max-width: 768px) {
  .l-single-shop__content {
    gap: 20px;
  }
  .c-shop-detail__head {
    padding-bottom: 15px;
    margin-bottom: 15px;
    padding-left: 30px;
  }
  .c-shop-detail__head::before {
    width: 13px;
    height: 13px;
    top: 7px;
  }
  .c-shop-detail__txt {
    padding: 0 10px;
  }
  .c-shop-card {
    padding: 20px;
  }
  .c-shop-btns {
    justify-content: center;
  }
  .c-shop-btn,
  .c-shop-btns .c-btn {
    width: 100%;
    max-width: 300px;
    height: 50px;
    font-size: 13px;
    gap: 8px;
  }
  .c-shop-btns .--right,
  .c-shop-btns .--left {
    width: 100%;
    display: flex;
    justify-content: center;
  }
  .c-shop-btn--primary::before {
    width: 50px;
    height: 40px;
  }
  .c-shop-btn--schedule::before {
    height: 17px;
    width: 17px;
    margin-top: -4px;
  }
  .c-shop-tags__item,
  .c-shop-badges__item {
    width: 48%;
    font-size: 10px;
    line-height: 1.4;
    padding: 7px 5px 5px;
  }
  .c-shop-tags {
    padding: 0 0 15px;
    overflow: auto;
  }

  .c-shop-tags__list,
  .c-shop-badges {
    gap: 10px 4%;
    justify-content: flex-start;
  }
  .c-shop-badges {
    justify-content: center;
    /* min-width: 1060px; */
    gap: 15px 4%;
  }
  .p-shop__title {
    padding-bottom: 20px;
    margin-bottom: 30px;
  }
  .c-shop-tags__icon {
    width: 16px;
  }
  .c-shop-tags__icon svg {
    width: 100%;
  }
  .c-shop-btn--primary::after {
    width: 6px;
    height: 12px;
    margin-top: 0px;
  }
}
